Subject: RE: SL deprecation draft

From: "Christian Huitema" <[email-masked]>
Date: Thu, 13 Nov 2003 14:37:34 -0800

By the way, does someone has a list of these RFC? 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
Brian
> E Carpenter
> Sent: Thursday, November 13, 2003 12:43 PM
> To: [email-masked]
> Subject: Re: SL deprecation draft
> 
> Alain,
> 
> Yes, you're correct that we should add that. There was a slight lack
of
> preparation
> for the session between me and Christian so this was overlooked, but I
> don't think it is contentious.
> 
>    Brian
> 
> Tim Chown wrote:
> >
> > On Thu, Nov 13, 2003 at 10:47:35AM -0800, Alain Durand wrote:
> > > I just watched the video of the site local deprecation
presentation
> > > from Christian Huitema.
> > > There is one issue raised in the mailing list that Christian did
not
> > > mention,
> > > that is the current deprecation section does not mention the list
of
> > > RFCs that are impacted.
> > >
> > > I strongly object to the publication of this document until this
is
> > > fixed.
> >
> > I think this would be a sensible thing to do at this stage (not
least
> > in case there is something being overlooked, although this seems
> > exceptionally unlikely).
> >
> > Tim
> >
> > --------------------------------------------------------------------
> > IETF IPv6 working group mailing list
> > [email-masked]
> > Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> > --------------------------------------------------------------------
> 
> --
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
> Brian E Carpenter
> Distinguished Engineer, Internet Standards & Technology, IBM
> 
> NEW ADDRESS <[email-masked]> PLEASE UPDATE ADDRESS BOOK
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 14 Nov 2003 00:06:38 +0100

Back in August, Alain wrote:

> I just did a grep if the RFC database of "site local" and feco
> I found only few meaningful references:
> 
> RFC2772, 6bone routing practise
> RFC2894, router renumbering  (an example contains FEC0)
> RFC3111, SLP (an example contains FEC0)
> RFC3142, TRT (an example contains FEC0)
> RFC3177, recommendation on /48, some text about site local beeing /48
> RFC3082, Notification and Subscription for SLP, an example talks about 
> site local
> RFC3484, default address selection
> RFC3513, IPv6 addr architecture
> 
> It seems to me that the main one to revisit is 3483.
[I guess he meant 3484]
>     - Alain.
  Brian

---

From: Bob Hinden <[email-masked]>
Date: Thu, 13 Nov 2003 15:34:02 -0800

I personally don't think it is necessary to update most of these 

> > RFC2772, 6bone routing practise

The 6bone is being turned off.

> > RFC3142, TRT (an example contains FEC0)

If it's only used in an example, then I don't think an update is 
required.  If these documents get redone for some other reason it would be 
good to change the examples.  But it not worth the effort required to 
recycle these documents to just remove site-local from an example.

> > RFC3177, recommendation on /48, some text about site local beeing /48

This is only a recommendation and updating it would likely open up 
Pandora's box for other changes.

> > RFC3082, Notification and Subscription for SLP, an example talks about

Same as examples above.

> > RFC3484, default address selection

I think this would be good to update.

> > RFC3513, IPv6 addr architecture

Very important and work underway.

> > It seems to me that the main one to revisit is 3483.

So my take is that only the Address Architecture and Default Address 
Selection documents need to be listed.

Bob

---

From: Leif Johansson <[email-masked]>
Date: Fri, 14 Nov 2003 02:16:47 +0100

|
|> > RFC2894, router renumbering  (an example contains FEC0)
|> > RFC3111, SLP (an example contains FEC0)
|> > RFC3142, TRT (an example contains FEC0)
|
|
| If it's only used in an example, then I don't think an update is
| required.  If these documents get redone for some other reason it would
| be good to change the examples.  But it not worth the effort required to
| recycle these documents to just remove site-local from an example.
|

Can't we just notify the authors and let them decide?

	Cheers Leif

---

From: Pekka Savola <[email-masked]>
Date: Fri, 14 Nov 2003 03:23:35 +0200 (EET)

> Selection documents need to be listed.

FWIW, totally agree here.  Listing those which had no issues of substance 
only confuse the reader.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: Tim Chown <[email-masked]>
Date: Fri, 14 Nov 2003 01:31:14 +0000

> Can't we just notify the authors and let them decide?

I hope so.   If we don't notify the authors they may not know to make
the site local update at any subsequent bis version...

Tim

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 14 Nov 2003 03:58:35 +0100

> FWIW, totally agree here.  Listing those which had no issues of substance

That isn't completely clear to me. We could say something like:

This deprecation will require substantive updates to the Address Architecture 
and Default Address Selection documents [ref, ref].

The site local prefix is also mentioned in several other documents which need
at most minor editorial updates [ref, ref, ref...].

  Brian

---

From: Tim Chown <[email-masked]>
Date: Fri, 14 Nov 2003 03:03:09 +0000

> at most minor editorial updates [ref, ref, ref...].

I agree.

Tim

---

From: Bob Hinden <[email-masked]>
Date: Thu, 13 Nov 2003 19:34:13 -0800

Brian,

>at most minor editorial updates [ref, ref, ref...].

OK, as long as it is written such that the updates to the latter set of 
documents don't have to be done immediately.  I still think that a few of 
them (e.g., RFC3177 and RFC2772) don't need to be in this list.

Bob

---

From: "EricLKlein" <[email-masked]>
Date: Mon, 17 Nov 2003 15:18:31 +0200

I think the most basic RFC one was missed from the list: RFC1918. Especially
since the NATv6 group is probably working under the presumptions that these
addresses, or ones like them, still exist in IPv6.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 17 Nov 2003 16:23:31 +0100

While I'd personally love to declare RFC 1918 "Historic", it really is
completely IPv4 specific so we have no reason to reference it.

Where can I find the NATv6 group? I have a few things I'd like to
say to them...

    Brian

---

From: "EricLKlein" <[email-masked]>
Date: Tue, 18 Nov 2003 09:26:23 +0200

> completely IPv4 specific so we have no reason to reference it.

I would agree that RFC1918 is pure v4 issue, but we will need take into
account that when these IPv4 networks are connected as part of IPv6 networks
we could get flooded with a lot of the ::10.x.x.x addresses that are
supposed to be "site local" under IPv4, but are now neither site local nor
unique under IPv6.

This is where we need to put in text in the Depriciation document, othewise
we will end up with a lot of congestion and leakage from what used to be
behind NATv4 or just local RFC1918 local site addresses.
> Where can I find the NATv6 group? I have a few things I'd like to

It looks like [email-masked] or [email-masked] the group working
on the NAT issues.